# gnome3

#### Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with gnome3](#setup)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
5. [Limitations - OS compatibility, etc.](#limitations)
6. [Development - Guide for contributing to the module](#development)

## Overview

Customization of gnome3 for multiuser configuration

## Module Description

Manage /etc/skel, web proxy, nautilus bookmarks, software installed, 
wallpaper, gdm

Purge games if delete_games is set to true (default)

Copy all wallpapers found in files/backgrounds to the node
default backgrounds directory (/usr/share/backgrounds)

Copy all gdm settings found in files/gdm to the node
default gdm dconf settings directory (/usr/share/gdm/dconf)

## Setup

List of parameters in init.pp or params.pp

Include this class

    class { 'gnome3':
      button\_power     => $gnome3::params::button_power,
      background        => undef, #/usr/share/backgrounds/smile-wallpaper.jpg
      bookmarks         => undef,
      software          => undef,
      games             => $gnome3::params::games,
      delete\_games     => true,
      webproxy\_mode    => $gnome3::params::webproxy_mode,
      webproxy\_autourl => '',
      webproxy\_locked  => true, 
    }

### button_power

Action to execute when the power button is pressed

Possible values are: shutdown or sleep

(Default shutdown)

### background

Absolute path from the node, to a wallpaper file 

(Default undef)

### bookmarks

Array of strings, bookmarks to add to nautilus sidebar

Example: [''smb://monsite.com/echange Echange']

(Default undef)

### software

An array of package names to be installed

(Default undef)

### games

An array of strings, the names of games

(Default ['aisleriot','five-or-more','four-in-a-row','gnome-chess','gnome-klotski',
'gnome-mahjongg','gnome-mines','gnome-nibbles','gnome-robots','gnome-sudoku',
'gnome-tetravex','hitori','iagno','lightsoff','quadrapassel','swell-foop','tali'])

### delete_games

A boolean to delete all packages listed in parameter *$games*

(Default true)

### webproxy_mode

A string, the web proxy mode for the system.

Possible values are: none (no proxy), auto (automatic config from an url)

### webproxy_autourl

An URL where to get the web proxy config

(Default '')

### webproxy_locked

A boolean, to lock or not to lock user proxy config

(Default true)

## Usage

Set parameters in init.pp and params.pp

## Reference

Use of dconf and configuration files, no exoctic scripts.

## Limitations

Only tested in Debian environment but should work with RedHat or others

## Development

Tested localy then saved to github then published to the puppet forge

Don't upgrade from the forge in a production environment...always test it
in your situation.


