# dconf.pp

class gnome3::dconf {

  # minimal folders
  file { ['/etc/dconf',
          '/etc/dconf/profile',
          '/etc/dconf/db',
          '/etc/dconf/db/system.d',
          '/etc/dconf/db/system.d/locks']:
    ensure => 'directory'
  }

  # dconf entry point to the dbs
  file { '/etc/dconf/profile/user':
    source  => 'puppet:///modules/gnome3/dconf/profile',
  }

  # defined dconf values
  file { '/etc/dconf/db/system.d/common':
    ensure  => file,
    content => template('gnome3/dconf-db.erb'),
  }

  # locked dconf values
  file { '/etc/dconf/db/system.d/locks/common':
    content  => template('gnome3/dconf-locks.erb'),
  }

  # force update of dconf if config files modified
  exec { 'dconf update':
    path        => ['/usr/bin', '/usr/sbin'],
    subscribe   => [
      File['/etc/dconf/profile/user'],
      File['/etc/dconf/db/system.d/common'],
      File['/etc/dconf/db/system.d/locks/common'],
    ],
    refreshonly => true
  }


}
