# init.pp

class gnome3 (

  $button_power     = $gnome3::params::button_power,
  $background       = undef, #/usr/share/backgrounds/smile-wallpaper.jpg
  $bookmarks        = undef,

  $software         = undef,
  $games            = $gnome3::params::games,
  $delete_games     = true,

  $webproxy_mode    = $gnome3::params::webproxy_mode,
  $webproxy_autourl = '',
  $webproxy_locked  = true,


) inherits gnome3::params {

  ####################################################
  ## includes
  ####################################################

  include gnome3::dconf
  include gnome3::skel


  ####################################################
  ## software
  ####################################################

  if $software {
    package { $software: ensure => installed }
  }

  if $delete_games {
    package { $games: ensure => purged }
  }


  ####################################################
  ## background images
  ####################################################

  file { '/usr/share/backgrounds':
    ensure  => 'directory',
    recurse => true,
    source  => 'puppet:///modules/gnome3/backgrounds',
  }


  ####################################################
  ## gdm
  ####################################################

  file { '/usr/share/gdm/dconf':
    ensure  => 'directory',
    recurse => true,
    source  => 'puppet:///modules/gnome3/gdm',
  }

}
